/*
** Copyright 2001, Michael Pfeiffer	
*/

#ifndef _RIVATNT_COMMON_H
#define _RIVATNT_COMMON_H

#include <unistd.h>
#include <stdio.h>
#include "riva_iic.h"
#include "betvout.h"
#include "BT868_9.h"
#include "Transfer.h"
#include "Chrontel.h"
#include "../../include/AccelerantInterface.h"
#include "../../include/DriverInterface.h"
#include "../../include/TVOutInterface.h"
#include "common.h"

enum tv_standard {
	PAL = 0,
	NTSC
};

enum riva_version {
	TNT1 = 1,
	TNT2,
	TNT2_M64
};

enum flicker_filter {
	disable_ffilter = 0,
	enable_ffilter
};

typedef struct { 
	int16 width;
	int16 height;
} resolution;

extern int               riva_iic_fd;
extern display_mode      vga_mode;
extern enum tv_standard  tv_standard;   
extern enum riva_version riva_version; 
extern byte              use_ffilter;
extern int               driver_fd;
	
int setVESA640 (set_display_mode_t *set_display_mode, display_mode new_mode);
int setVESA800 (set_display_mode_t *set_display_mode, display_mode new_mode);

/* implemented in rivatnt_[ch|bt].cpp */
extern bool detect_tv_encoder(int fd, int bus_found[2]);
extern void load_tv_encoder_settings();
extern void switch_to_vga(set_display_mode_t *set_display_mode);
extern bool is_mode_supported(enum tv_out_mode mode, uint32 cs, int16 width, int16 height);
extern bool set_mode(display_mode *dm, enum tv_out_mode mode, set_display_mode_t *set_display_mode);

/* settings */
extern enum tv_standard get_tv_standard();
extern enum riva_version get_riva_version();
extern enum flicker_filter get_flicker_filter();

#endif
